> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# rejectreason

> GenericMDOProvider reads MDO lists with default settings

## "rejectreason" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'rejectreason'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/rejectreason
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("rejectreason", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "rejectreasonheadings"
* "rejectreasonheadingswithallitem"
* "rejectreasonheadingswithallitemwithnoselection"
* "rejectreasonheadingswithnoselection"
* "rejectreasonwithallitem"
* "rejectreasonwithallitemwithnoselection"
* "rejectreasonwithnoselection"


## Related topics

- [RejectReason table](/en/database/tables/rejectreason.md)
- [RejectReasonHeadingLink table](/en/database/tables/rejectreasonheadinglink.md)
- [RejectReasonGroupLink table](/en/database/tables/rejectreasongrouplink.md)
- [SuperOffice.WebApi.Data.AppointmentEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.AppointmentEntity.md)
- [SuperOffice.WebApi.Data.Appointment](/en/api/reference/webapi/SuperOffice.WebApi.Data.Appointment.md)
- [Decline Invitation From Email Item](/en/api/reference/restful/agent/appointment_agent/decline-invitation-from-email-item.md)
